%define date    20130501

%define major   1
%define minor   0
%define soname  %{major}.%{minor}
%define libname %mklibname %{name} %{soname}
%define devname %mklibname %{name} -d

Summary:	A 2D constrained Delaunay triangulation library
Name:		poly2tri
Version:	1.0
Release:	0.%{date}.7
License:	BSD
Group:		Development/Other
Url:		https://code.google.com/p/%{name}
# hg clone %%{url}
# rm -rf %%{name}/.hg
# tar -pczf %%{name}-%%{date}.tar.gz %%{name}
Source0:	%{name}-%{date}.tar.gz
# The Makefile was created for purposes of this package
# Upstream provides WAF, but it builds example apps and not the library
Source1:	%{name}-Makefile
BuildRequires:	pkgconfig(gl)

%description
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A 2D constrained Delaunay triangulation library
Group:		System/Libraries

%description -n %{libname}
Library based on the paper "Sweep-line algorithm for constrained Delaunay
triangulation" by V. Domiter and and B. Zalik.

%files -n %{libname}
%doc AUTHORS LICENSE README
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.%{minor}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%doc AUTHORS LICENSE README
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}
cp %{SOURCE1} %{name}/Makefile

iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
touch -r AUTHORS AUTHORS.conv && \
mv AUTHORS.conv AUTHORS

%build
CFLAGS="%{optflags}" %make -C %{name}

%install
install -Dpm0755 %{name}/lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so.%{soname}
ln -s lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
ln -s lib%{name}.so.%{soname} %{buildroot}%{_libdir}/lib%{name}.so

for H in %{name}/*/*.h %{name}/*.h; do
  install -Dpm0644 $H %{buildroot}%{_includedir}/$H
done

# Add a pkgconfig entry
cat > %{name}.pc << EOF
prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: A 2D constrained Delaunay triangulation library
Version: 1.0-%{date}

Requires:
Libs: -L\${libdir} -l%{name}
Cflags: -I\${includedir}/%{name}
EOF

install -D -m644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Tue Sep 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.20130501.7
- (a667dae) Adjust spec style (minor cosmetic changes)


